[
    {
        "Id": "a510d304028a085d79fc25ea1a5ec89f9be66cd4e1d216f41882445b0e6d8f17",
        "Created": "2025-08-18T18:12:12.508924749Z",
        "Path": "/docker-entrypoint.sh",
        "Args": [
            "nginx",
            "-g",
            "daemon off;"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 4113,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-22T21:11:22.495425504Z",
            "FinishedAt": "2025-08-22T21:11:19.773006664Z"
        },
        "Image": "sha256:ad5708199ec7d169c6837fe46e1646603d0f7d0a0f54d3cd8d07bc1c818d0224",
        "ResolvConfPath": "/var/snap/docker/common/var-lib-docker/containers/a510d304028a085d79fc25ea1a5ec89f9be66cd4e1d216f41882445b0e6d8f17/resolv.conf",
        "HostnamePath": "/var/snap/docker/common/var-lib-docker/containers/a510d304028a085d79fc25ea1a5ec89f9be66cd4e1d216f41882445b0e6d8f17/hostname",
        "HostsPath": "/var/snap/docker/common/var-lib-docker/containers/a510d304028a085d79fc25ea1a5ec89f9be66cd4e1d216f41882445b0e6d8f17/hosts",
        "LogPath": "/var/snap/docker/common/var-lib-docker/containers/a510d304028a085d79fc25ea1a5ec89f9be66cd4e1d216f41882445b0e6d8f17/a510d304028a085d79fc25ea1a5ec89f9be66cd4e1d216f41882445b0e6d8f17-json.log",
        "Name": "/appflowy-cloud-nginx-1",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/home/jon/AppFlowy-Cloud/nginx/nginx.conf:/etc/nginx/nginx.conf:rw",
                "/home/jon/AppFlowy-Cloud/nginx/ssl/certificate.crt:/etc/nginx/ssl/certificate.crt:rw",
                "/home/jon/AppFlowy-Cloud/nginx/ssl/private_key.key:/etc/nginx/ssl/private_key.key:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "appflowy-cloud_default",
            "PortBindings": {
                "443/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "8443"
                    }
                ],
                "80/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "8080"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "on-failure",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "a510d304028a085d79fc25ea1a5ec89f9be66cd4e1d216f41882445b0e6d8f17",
                "LowerDir": "/var/snap/docker/common/var-lib-docker/overlay2/75b7eb793173c985c59c5a3a22e9c711827fe65ef87681f025626ea6adc3f7b6-init/diff:/var/snap/docker/common/var-lib-docker/overlay2/0d4ebfc8184b4173b25ffa1aad255435a2e4d2d60506145913d5ef5c7ebe25ff/diff:/var/snap/docker/common/var-lib-docker/overlay2/a9af6aa1a0891c43a062933afb334e9aa0e605a8a952e53736311d630ae0fc48/diff:/var/snap/docker/common/var-lib-docker/overlay2/78406d08f94192806b3f020bc36c5ac8aed2472e2c7bd0ef8379bdeb8dc0050d/diff:/var/snap/docker/common/var-lib-docker/overlay2/a94594b71c6dc8ada6371e8e821c5ca5a75fd2d02f1490905ada427fb6f959e4/diff:/var/snap/docker/common/var-lib-docker/overlay2/6b2c0225c1a2f63849ea2b6feeb006eda51118ab4aaa61ad18b42f380992b623/diff:/var/snap/docker/common/var-lib-docker/overlay2/d1f7ad5c9980aae2a1544f8b6b06bbcd1b0822098c0ffc1e91f8531386f3fb88/diff:/var/snap/docker/common/var-lib-docker/overlay2/fc99b5eb3905f8b361f87d3816589c87865a1906e99c03bf5fa6c122ee114336/diff",
                "MergedDir": "/var/snap/docker/common/var-lib-docker/overlay2/75b7eb793173c985c59c5a3a22e9c711827fe65ef87681f025626ea6adc3f7b6/merged",
                "UpperDir": "/var/snap/docker/common/var-lib-docker/overlay2/75b7eb793173c985c59c5a3a22e9c711827fe65ef87681f025626ea6adc3f7b6/diff",
                "WorkDir": "/var/snap/docker/common/var-lib-docker/overlay2/75b7eb793173c985c59c5a3a22e9c711827fe65ef87681f025626ea6adc3f7b6/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/home/jon/AppFlowy-Cloud/nginx/ssl/certificate.crt",
                "Destination": "/etc/nginx/ssl/certificate.crt",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/home/jon/AppFlowy-Cloud/nginx/ssl/private_key.key",
                "Destination": "/etc/nginx/ssl/private_key.key",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/home/jon/AppFlowy-Cloud/nginx/nginx.conf",
                "Destination": "/etc/nginx/nginx.conf",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "a510d304028a",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "443/tcp": {},
                "80/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "NGINX_VERSION=1.29.1",
                "NJS_VERSION=0.9.1",
                "NJS_RELEASE=1~bookworm",
                "PKG_RELEASE=1~bookworm",
                "DYNPKG_RELEASE=1~bookworm"
            ],
            "Cmd": [
                "nginx",
                "-g",
                "daemon off;"
            ],
            "Image": "nginx",
            "Volumes": null,
            "WorkingDir": "",
            "Entrypoint": [
                "/docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "cf0835397794edb97c71b6cd86091eaa934dd6b80b66c37e9e5b31545eba99e4",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:ad5708199ec7d169c6837fe46e1646603d0f7d0a0f54d3cd8d07bc1c818d0224",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "appflowy-cloud",
                "com.docker.compose.project.config_files": "/home/jon/AppFlowy-Cloud/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/AppFlowy-Cloud",
                "com.docker.compose.service": "nginx",
                "com.docker.compose.version": "2.33.1",
                "maintainer": "NGINX Docker Maintainers <docker-maint@nginx.com>"
            },
            "StopSignal": "SIGQUIT"
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "b8243d29308c7d5e981b4308782c2154a8e0fdaf31ebac3725fa9e39559076fb",
            "SandboxKey": "/run/snap.docker/netns/b8243d29308c",
            "Ports": {
                "443/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "8443"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "8443"
                    }
                ],
                "80/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "8080"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "8080"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "appflowy-cloud_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "appflowy-cloud-nginx-1",
                        "nginx"
                    ],
                    "MacAddress": "8e:94:54:62:10:f4",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c",
                    "EndpointID": "0102ccc148bf0436067f435ae0cbc3da222fa3b0dcc9409990dfaee6550929af",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.5",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "appflowy-cloud-nginx-1",
                        "nginx",
                        "a510d304028a"
                    ]
                }
            }
        }
    }
]
